# Uses of Interface
org.eclipse.emf.cdo.session.CDORepositoryInfo

Packages that use CDORepositoryInfo
Package
Description
org.eclipse.emf.cdo.explorer.repositories
Interfaces for working with `repositories`.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDORepositoryInfo in org.eclipse.emf.cdo.explorer.repositories

Methods in org.eclipse.emf.cdo.explorer.repositories with parameters of type CDORepositoryInfo
Modifier and Type
Method
Description
`static CDORepository.IDGeneration`
CDORepository.IDGeneration.`from(CDORepositoryInfo repositoryInfo)`
`static CDORepository.VersioningMode`
CDORepository.VersioningMode.`from(CDORepositoryInfo repositoryInfo)`

## Uses of CDORepositoryInfo in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDORepositoryInfo
Modifier and Type
Method
Description
`CDORepositoryInfo`
CDOSession.`getRepositoryInfo()`
Returns an instance of `CDORepositoryInfo` that describes the model repository this `session` is connected to.

## Uses of CDORepositoryInfo in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDORepositoryInfo
Modifier and Type
Method
Description
`void`
InternalCDOSession.`setRepositoryInfo(CDORepositoryInfo repositoryInfo)`